POST Agents/Archive/GetArchiveConfigurationWithContext
Some tooltip text!
• 3 minutes to read
• 3 minutes to read
POST /api/v1/Agents/Archive/GetArchiveConfigurationWithContext
Get the configuration for one archive, with context parameter.
The configuration is keyed by a combination of archive provider name and gui name. The archive provider name must match an archive provider plugin; the gui name is an arbitrary string used to distinguish multiple occurrences of the same underlying provider in a gui. NsApiSlow threshold: 5000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/Archive/GetArchiveConfigurationWithContext?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
GuiName, ProviderName, Context
| Property Name | Type | Description |
|---|---|---|
| GuiName | String | |
| ProviderName | String | |
| Context | String |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: ArchiveConfiguration
| Property Name | Type | Description |
|---|---|---|
| ArchiveColumnInfo | array | |
| ArchiveEntityInfo | array | |
| ArchiveOrderByInfo | array | |
| OwnerKeys | string | The actual ownership information for the configuration that was retrieved |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/Archive/GetArchiveConfigurationWithContext
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Content-Type: application/json; charset=utf-8
{
"GuiName": "Schaden LLC",
"ProviderName": "Mills LLC",
"Context": "eveniet"
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"ArchiveColumnInfo": [
{
"DisplayName": "Contact ID",
"DisplayTooltip": "Unique identifier for the contact",
"DisplayType": "int",
"CanOrderBy": true,
"Name": "contactId",
"CanRestrictBy": true,
"RestrictionType": "int",
"RestrictionListName": "",
"IsVisible": true,
"ExtraInfo": "contact.contact_id",
"Width": "80",
"IconHint": "id",
"HeadingIconHint": "number"
}
],
"ArchiveEntityInfo": [
{
"Id": 658,
"Name": "Appointment",
"ToolTip": "Calendar appointments and meetings",
"Deleted": false,
"Rank": 1,
"Type": "ArchiveProvider",
"ColorBlock": 864,
"IconHint": "appointment",
"Selected": true,
"LastChanged": "2024-11-20T10:00:00+01:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "AppointmentArchive",
"StyleHint": "entity",
"Hidden": false,
"FullName": "Appointment Archive",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 200
}
}
}
],
"ArchiveOrderByInfo": [
{
"Name": "date",
"Direction": "DESC"
},
{
"Name": "time",
"Direction": "ASC"
}
],
"OwnerKeys": "appointment=139,person=456",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 536
}
}
}